package modules

import (
	"go_dreamfactory/pb"

	"github.com/liwei1dao/lego/core"
	"google.golang.org/protobuf/proto"
)

type (
	IModule interface {
		core.IModule
		SendMsgToUser(ServiceMethod string, msg proto.Message, user *pb.Cache_UserData) (err error)
		SendMsgToUsers(ServiceMethod string, msg proto.Message, user ...*pb.Cache_UserData) (err error)
	}
)
