package cache

import (
	"fmt"
	"go_dreamfactory/pb"
)

const ( //Redis
	Redis_UserCache string = "user:%d" //会话列表
)

func (this *Cache) UpdateUser(data *pb.Cache_UserData) (err error) {
	return this.redis.Set(fmt.Sprintf(Redis_UserCache, data.UserData.UserId), data, 0)
}
